<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.openxml4j.exceptions (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.openxml4j.exceptions (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ooxml/util/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/exceptions/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.openxml4j.exceptions</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Exception Summary table, listing exceptions, and an explanation">
                <caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Exception</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidOperationException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">InvalidOperationException</a></td>
                    <td class="colLast">
                        <div class="block">Throw when an invalid operation is done.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/NotOfficeXmlFileException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">NotOfficeXmlFileException</a></td>
                    <td class="colLast">
                        <div class="block">This exception is thrown when we try to open a file that doesn't
                            seem to actually be an OOXML (Office Open XML) file after all
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/ODFNotOfficeXmlFileException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">ODFNotOfficeXmlFileException</a></td>
                    <td class="colLast">
                        <div class="block">This exception is thrown when we are given an ODF-based file
                            (eg OpenOffice .ods) instead of an actually OOXML (Office Open XML) file
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/OLE2NotOfficeXmlFileException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">OLE2NotOfficeXmlFileException</a></td>
                    <td class="colLast">
                        <div class="block">This exception is thrown when we are given an OLE2-based file
                            (eg Excel .xls) instead of an actually OOXML (Office Open XML) file
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></td>
                    <td class="colLast">
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JRuntimeException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JRuntimeException</a></td>
                    <td class="colLast">
                        <div class="block">Global exception throws when a critical error occurs (this exception is
                            set as Runtime in order not to force the user to manage the exception in a
                            try/catch).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/PartAlreadyExistsException.html"
                            title="class in org.apache.poi.openxml4j.exceptions">PartAlreadyExistsException</a></td>
                    <td class="colLast">
                        <div class="block">Throw when trying to create a <a
                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                title="class in org.apache.poi.openxml4j.opc"><code>PackagePart</code></a> but one
                            already exists with that name.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ooxml/util/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/exceptions/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
